function spawningLoad()
	Spawning = false
	SpawnTimer = {
		CannonFodderDefault = 30,
		CannonFodder = 1000,
	}
	WaveInfo = {
		BossSpawnWave = 5,
		Lv2SpawnWave = 2,
		WaveNo = 0,
		WaveLengthDefault = 1000,
		WaveLength = 1000,
		inWave = false,
		WaveDelay = 300,
		WaveDelayIn = 300,
	}
end
Lv2Spawner = 1
defLv2Spawn = 1000
BossSpawner = 1
defBosSpawn = 1000
function spawningUpdate()
	SpawnTimer.CannonFodder = SpawnTimer.CannonFodder - 1
	if WaveInfo.inWave == true then
		WaveInfo.WaveLength = WaveInfo.WaveLength - 1
		if WaveInfo.WaveNo >= WaveInfo.Lv2SpawnWave then
			Lv2Spawner = Lv2Spawner - 1
			if Lv2Spawner < 1 then
				Lv2Spawner = defLv2Spawn
				newLv2(love.math.random(Stats.lv2Width, Screen.Width - (Stats.lv2Width)), -100)
			end
			if WaveInfo.WaveNo >= WaveInfo.BossSpawnWave then
				BossSpawner = BossSpawner - 1
				if BossSpawner < 1 then
					BossSpawner = defBosSpawn
					newBoss((Screen.Width/2) - Stats.bossWidth/2, 10)
				end
			end
		end
		if WaveInfo.WaveLength < 1 then
			WaveInfo.WaveNo = WaveInfo.WaveNo + 1
			WaveInfo.inWave = false
			WaveInfo.WaveLength = WaveInfo.WaveLengthDefault
			WaveInfo.WaveLengthDefault = WaveInfo.WaveLengthDefault + 100
			if WaveInfo.WaveDelay > 100 then
				WaveInfo.WaveDelay = WaveInfo.WaveDelay - 10
			end
		end
	elseif WaveInfo.inWave == false then
		WaveInfo.WaveDelayIn = WaveInfo.WaveDelayIn - 1
		if WaveInfo.WaveDelayIn < 1 then
			WaveInfo.WaveDelayIn = WaveInfo.WaveDelay
			WaveInfo.inWave = true
			-- HAD MASSIVE PROBLEMS WITH THESE LINES, THEY SPAWNED HEAPS OF ENEMIES, ANY HELP WOULD BE APPRECIATED, I HAVE NO IDEA WHY D:
			--if WaveInfo.WaveNo >= WaveInfo.Lv2SpawnWave then
			--	local tempVariable = WaveInfo.WaveNo - (WaveInfo.Lv2SpawnWave+1)
			--	Lv2Spawner = WaveInfo.WaveLength/tempVariable
			--	defLv2Spawn = Lv2Spawner
			--end
			--if WaveInfo.WaveNo >= WaveInfo.BossSpawnWave then
			--	BossSpawner = WaveInfo.WaveNo - (WaveInfo.BossSpawnWave+1)
			--	BossSpawner = WaveInfo.WaveLength/BossSpawner
			--	defBosSpawn = BossSpawner
			--end
		end
	end
	if WaveInfo.inWave == true then
		if SpawnTimer.CannonFodder < 1 then
			if WaveInfo.WaveNo < 6 then
				SpawnTimer.CannonFodder = SpawnTimer.CannonFodderDefault - WaveInfo.WaveNo
			else
				SpawnTimer.CannonFodder = SpawnTimer.CannonFodderDefault - 10
			end
			newCannonFodder(Stats.CannonFodderWidth, -100)
		end
	end
end

function toggleSpawning()
	if Spawning == true then
		Spawning = false
	else
		Spawning = true
	end
end

function spawningDraw()
	
end